Bug # 53 (Closed): MSVC10 compilation

MSVC10 - more things and overhead

07 Dec 2011 09:51 - Anna Maria Bigatti

Status: Closed Start date: 07 Dec 2011

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.0.2 Spent time: 9.80 hours

Description

Other easier tasks for portability to Visual Studio.

History

#1 - 07 Dec 2011 09:59 - Anna Maria Bigatti

- Subject changed from MSVC10 compilation - more things and overhead to MSVC10 - more things and overhead

#2 - 26 Jan 2012 17:11 - John Abbott

In RandomBoolStream.C there is a conversion from an unsigned long to a std::bitset.  The code is correct, but MSVC fails to compile it -- according to

the internet the bug was detected and reported to them 18 months ago.  There is an ugly workaround: cast to unsigned long long which must be

placed inside an #ifdef because it is not portable C++03 code.

#3 - 26 Jan 2012 17:32 - John Abbott

The code in TmpFactorDir/linalg/Qdet.c is incomplete.

I have hidden it by using a preprocessor conditional

(because MSVC tries to compile all *.c files it finds).

#4 - 26 Jan 2012 17:38 - John Abbott

The preprocessor symbol definition of NDEBUG was never used anywhere.

It caused trouble on MSVC, so has been removed.

#5 - 26 Jan 2012 18:00 - John Abbott

Moved initializer for const static data member from decimal.H to decimal.C.

Allows compilation with MSVC, and give better decoupling (no need to recompile

many files if we change the value).

#6 - 03 Apr 2012 19:03 - John Abbott

- Status changed from New to Closed

- % Done changed from 30 to 100

Sundry other changes to accomodate MSVC bugs.

Added some #if conditionals as workarounds; ideally these should eventually be removed when a new MSVC becomes widely available.

Anyway, everything now compiles (& links) fine.
#7 - 13 Jul 2012 15:52 - Anna Maria Bigatti

- Target version set to CoCoA-5.0.2
